/* © SRSoftware 2025 */
package de.srsoftware.umbrella.core.api;

import de.srsoftware.umbrella.core.exceptions.UmbrellaException;
import de.srsoftware.umbrella.core.model.Task;
import java.util.Collection;
import java.util.List;
import java.util.Map;

public interface TaskService {
	Map<Long, Task> listCompanyTasks(long companyId) throws UmbrellaException;
	Map<Long, Task> listProjectTasks(long projectId) throws UmbrellaException;
	Map<Long, Task> load(Collection<Long> taskIds);
	Collection<Task> loadMembers(Collection<Task> tasks);

	default Task loadMembers(Task task){
		loadMembers(List.of(task));
		return task;
	}
}
